CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Folder_Test Class Reference
Inheritance diagram for Folder_Test:
[legend]
Collaboration diagram for Folder_Test:
[legend]

## Public Member Functions
| testAppendItem ()
| Verify that items can be appended and appear in the corect order. More...
| testPrependItem ()
| Verify that items can be prepended and appear in the correct order. More...
| testInsertItemBefore ()
| Verify that InsertItemBefore() works correctly on empty lists, when the tgt is nonexistent, and at the beginning, middle, and end of a list. More...
| testInsertItemAfter ()
| Verify that InsertItemAfter() works correctly on empty lists, when the tgt is nonexistent, and at the beginning, middle, and end of a list. More...
| testMixedContent ()
| Test creation of a mixed content folder with AppendItems() inserting some data into it. More...
| testMiscRemaining ()
| Test all remaining misc functions. More...

## Static Public Member Functions
static | tearDownAfterClass ()
| Delete XX-Test-XX folder conte type that was created for testing. More...

## Public Attributes
const | TYPE_NAME = "XX-Test-XX"

## Detailed Description

Definition at line 2 of file Folder--Test.php.

## Member Function Documentation

static Folder_Test::tearDownAfterClass | ( |  | ) |
| static

Delete XX-Test-XX folder conte type that was created for testing.

Definition at line 10 of file Folder--Test.php.

Folder_Test::testAppendItem | ( |  | ) |

Verify that items can be appended and appear in the corect order.

covers AppendItem()

Definition at line 23 of file Folder--Test.php.

Folder_Test::testInsertItemAfter | ( |  | ) |

Verify that InsertItemAfter() works correctly on empty lists, when the tgt is nonexistent, and at the beginning, middle, and end of a list.

covers InsertItemAfter()

Definition at line 95 of file Folder--Test.php.

Folder_Test::testInsertItemBefore | ( |  | ) |

Verify that InsertItemBefore() works correctly on empty lists, when the tgt is nonexistent, and at the beginning, middle, and end of a list.

covers InsertItemBefore()

Definition at line 61 of file Folder--Test.php.

Folder_Test::testMiscRemaining | ( |  | ) |

Test all remaining misc functions.

covsers AppendItems(), GetItemIds() when Offset and Limit are specified, Remove Item(), Id(), Name(), NormalizedName(), OwnerId(), Note(), IsShared(), NoteForItem(), and untested paths in the constructor.

Definition at line 151 of file Folder--Test.php.

Folder_Test::testMixedContent | ( |  | ) |

Test creation of a mixed content folder with AppendItems() inserting some data into it.

Note that with mixed content folders, we're only exercising the code paths in Folder that aren't otherwise used. This presumes that the unit tests for PersistentDoublyLinkedList will find any issues with typed lists. covers FolderFactory::CreateMixedFolder(), AppendItems()

Definition at line 132 of file Folder--Test.php.

Folder_Test::testPrependItem | ( |  | ) |

Verify that items can be prepended and appear in the correct order.

covers PrependItem()

Definition at line 41 of file Folder--Test.php.

## Member Data Documentation

const Folder_Test::TYPE_NAME = "XX-Test-XX"

Definition at line 4 of file Folder--Test.php.

The documentation for this class was generated from the following file:

- objects/tests/Folder--Test.php